<div class="wrap idf ignitiondeck">
    <div class="icon32" id="icon-md"></div>
    <h2 class="title"><?php _e('IgnitionDeck', 'idf'); ?></h2>
    <p class="about-description">
        <?php _e('Welcome to the IgnitionDeck platform!', 'idf'); ?><br/>
        <?php _e('Follow the instructions below to get started selling, fundraising, and crowdfunding.', 'idf'); ?>
    </p>
    <div class="id-badge"></div>
<div id="ignitiondeck-panel" class="welcome-panel">
    <div class="welcome-panel-content">
        <div class="getting_started">
            <div class="getting_started_intro">
                <?php _e('Here\'s how to get started', 'idf'); ?>:
            </div>
            <ol>
                <li><?php _e('This plugin is dependent on IgnitionDeck Commerce and Crowdfunding plugins.', 'idf'); ?> <a href="<?php echo admin_url('plugins.php?page=idf-plugins&plugin_status=install'); ?>"><?php _e('Click here to install and activate.', 'idf'); ?></a> <?php _e('Once activated, you will see two new menus in your WordPress sidebar.', 'idf'); ?></li>
                <li><?php _e('The free version of IgnitionDeck requires our free crowdfunding theme framework, Theme 500. You may', 'idf'); ?> <a href="https://files.ignitiondeck.com/fh_latest.zip" target="_blank"><?php _e('download', 'idf'); ?></a> <?php _e('and activate via your'); ?> <a href="<?php echo site_url('wp-admin/themes.php'); ?>"><?php _e('themes menu', 'idf'); ?></a> <?php _e('at any time.', 'idf'); ?></li>
                <li><?php _e('Use one of our quickstart guides to help guide the installation and setup process.', 'idf'); ?>&nbsp;&nbsp;&nbsp;<a target="_blank" href="<?php echo $qs_url; ?>?utm_source=licensepage&utm_medium=link&utm_campaign=freemium"><i class="fa fa-file-text-o"></i></a></li>
                <?php if ($license_type !== 'aaa') { ?>
                <li>
                    <a target="_blank" href="https://ignitiondeck.com/id/ignitiondeck-pricing/?utm_source=licensepage&utm_medium=link&utm_campaign=freemium"><?php _e('Upgrade your license', 'idf'); ?></a> <?php _e('to unlock additional features, modules, and the ability to use your existing theme.', 'idf'); ?>
                </li>
                <?php } ?>
            </ol>
        </div>
    </div>
</div>
<?php
if(isset($idc_license_key) && isset($idcf_license_key)) {
    if($idc_license_key != $idcf_license_key && empty(get_option('idcf_updated')) ) {
        $idc_license_key = $idcf_license_key;
    }
}
?>
<div id="dashboard-widgets-wrap">
    <div id="dashboard-widgets" class="metabox-holder">
        <div id="postbox-container-1" class="postbox-container">
            <div id="normal-sortables" class="meta-box-sortables ui-sortable">
                <?php if ($super) { ?>
                <div id="idf_license_settings" class="postbox">
                    <button type="button" class="handlediv button-link" aria-expanded="true"><span class="screen-reader-text"><?php _e('Toggle panel', 'idf'); ?>: <?php _e('License Settings', 'idf'); ?></span><span class="toggle-indicator" aria-hidden="true"></span></button><h2 class="hndle ui-sortable-handle"><span><?php _e('License Settings', 'idf'); ?></span></h2>
                    <div class="inside">
                        <p><?php _e('Entering your <a href="https://ignitiondeck.com/id/documentation/ignitiondeck-crowdfunding/setup-ignitiondeck/ignitiondeck-license-keys/?utm_source=licensepage&utm_medium=link&utm_campaign=freemium" target="_blank">license key</a> will enable automatic updates via the WordPress admin for the duration of your license period.', 'idf'); ?></p>
                        <form name="licenseSettings" action="" method="post">
                            <ul>
                                <li class="license_key_options license_option">
                                    <label for="idc_license_key" class=""><i class="fa fa-key"></i> <?php _e('License Key', 'memberdeck'); ?></label><br/>
                                    <input type="text" name="idc_license_key" id="idc_license_key" value="<?php echo (isset($idc_license_key) ? $idc_license_key : ''); ?>"/>
                                </li>
                                <li>
                                    <input type="hidden" name="idf_license_entry_options" value="keys" />
                                    <button class="button button-primary"><?php _e('Validate', 'ignitiondeck'); ?></button>
                                </li>
                            </ul>
                        </form>
                        <div class="license_validation">
                            <p>
                                <?php echo ($is_id_licensed || $is_idc_licensed ? '<i class="fa fa-check"></i>'.__(' License Valid for', 'ignitiondeck').$type_msg : 'You are using the free version of IgnitionDeck.<br/><a href="https://ignitiondeck.com/id/ignitiondeck-pricing/?utm_source=licensepage&utm_medium=link&utm_campaign=freemium" target="_blank">Upgrade now</a> to unlock advanced functionality.'); ?>
                            </p>
                        </div>
                    </div>
                </div>
                <?php } ?>
                <div id="idf_commerce_platform" class="postbox <?php echo (!class_exists('ID_Project') ? 'disabled' : ''); ?>">
                    <button type="button" class="handlediv button-link" aria-expanded="true"><span class="screen-reader-text"><?php _e('Toggle panel', 'idf'); ?>: <?php _e('Crowdfunding Integration', 'idf'); ?></span><span class="toggle-indicator" aria-hidden="true"></span></button><h2 class="hndle ui-sortable-handle"><span><?php _e('Crowdfunding Integration', 'idf'); ?></span></h2>
                    <div class="inside">
                        <form id="idf_commerce" name="idf_commerce" method="POST" action="">
                            <p><?php _e('Select a commerce platform for use with IgnitionDeck Crowdfunding', 'idf'); ?></br></p>
                            <p><em><?php _e('Note: Enabling WooCommerce requires the purchase of an IgnitionDeck License.', 'idf'); ?></em></br></p>
                            <div class="form-select form-row">
                                <label for="commerce_selection" style="font-weight: bold;"><?php _e('Commerce Platform', 'idf'); ?></label>
                                <p>
                                    <select name="commerce_selection" id="commerce_selection">
                                        <?php if (in_array('idc', $platforms)) { ?>
                                            <option value="idc" <?php echo (isset($platform) && $platform == 'idc' ? 'selected="selected"' : ''); ?>><?php _e('IgnitionDeck Commerce', 'idf'); ?></option>
                                        <?php } if (in_array('wc', $platforms)) { ?>
                                            <option value="wc" <?php echo (isset($platform) && $platform == 'wc' ? 'selected="selected"' : ''); ?>><?php _e('WooCommerce', 'idf'); ?></option>
                                        <?php } if (in_array('edd', $platforms) && idf_has_edd()) { ?>
                                            <option value="edd" <?php echo (isset($platform) && $platform == 'edd' ? 'selected="selected"' : ''); ?>><?php _e('Easy Digital Downloads', 'idf'); ?></option>
                                        <?php } if (isset($platform) && $platform == 'legacy') { ?>
                                            <option value="legacy" selected="selected"><?php _e('Legacy IgnitionDeck', 'idf'); ?></option>
                                        <?php } ?>
                                    </select>
                                </p>
                            </div>
                            <div class="form-input">
                                <input type="submit" name="commerce_submit" class="button button-primary" value="<?php _e('Save', 'idf'); ?>"/>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div id="postbox-container-2" class="postbox-container">
            <div id="side-sortables" class="meta-box-sortables ui-sortable">
                <div id="idf_modules_widget" class="postbox <?php echo ($is_id_licensed || $is_idc_licensed || $idf_registered ? '' : 'disabled'); ?>">
                    <button type="button" class="handlediv button-link" aria-expanded="true"><span class="screen-reader-text"><?php _e('Toggle panel', 'idf'); ?>: <?php _e('Modules', 'idf'); ?></span><span class="toggle-indicator" aria-hidden="true"></span></button><h2 class="hndle ui-sortable-handle"><span><?php _e('Modules', 'idf'); ?></span></h2>
                    <div class="inside">
                        <ul>
                            <?php foreach ($extension_data as $extension) { ?>
                                <li>
                                    <div class="modules-image" style="background-image: url(<?php echo $extension->thumbnail; ?>);"></div>
                                    <div class="modules-info">
                                        <strong><?php echo $extension->title; ?></strong><br/>
                                        <?php echo $extension->short_desc; ?>
                                    </div>
                                </li>
                            <?php } ?>
                        </ul>
                        <p><a href="<?php menu_page_url('idf-extensions');?>" class="modules-link"><?php printf(__('View All %d Modules', 'idf'), count($data)); ?></a>
                     </div>
                </div>
                <div id="idf_support_widget" class="postbox">
                    <button type="button" class="handlediv button-link" aria-expanded="true"><span class="screen-reader-text"><?php _e('Toggle panel', 'idf'); ?>: <?php _e('Support', 'idf'); ?></span><span class="toggle-indicator" aria-hidden="true"></span></button><h2 class="hndle ui-sortable-handle"><span><?php _e('Support', 'idf'); ?></span></h2>
                    <div class="inside">
                        <p><?php _e('Our support team is available 9am-5pm PST Monday-Friday. Click the links below to view our step-by-step documentation or visit the support forums.', 'idf'); ?></p>
                        <a href="mailto:support@ignitionwp.com?Subject=IgnitionDeck%20Support%20Request" alt="IgnitionDeck Support" title="IgnitionDeck Support" target="_blank"><button class="button button-large button-secondary"><?php _e('Email Support', 'idf'); ?></button></a>
                        <a href="https://ignitiondeck.com/id/documentation/?utm_source=licensepage&utm_medium=link&utm_campaign=freemium" alt="IgnitionDeck Documentation" title="IgnitionDeck Documentation" target="_blank"><button class="button button-large button-secondary"><?php _e('Documentation', 'idf'); ?></button></a>
                        <p><?php _e('Like this product? Help us out with a', 'idf'); ?> <a href="https://wordpress.org/support/plugin/ignitiondeck/reviews/"><?php _e('review', 'idf'); ?></a>!<br/>
                        <?php _e('Not a fan?', 'idf'); ?> <a href="mailto:support@ignitionwp.com?Subject=IgnitionDeck%20Feedback" target="_blank"><?php _e('Tell us why', 'idf'); ?></a>.</p>
                     </div>
                </div>
            </div>
        </div>
        <?php if ($license_type !== 'ide') { ?>
        <div id="postbox-container-3" class="postbox-container">
            <div id="column3-sortables" class="meta-box-sortables ui-sortable">
                <div id="idf_upgrades_widget" class="postbox">
                    <button type="button" class="handlediv button-link" aria-expanded="true"><span class="screen-reader-text"><?php _e('Toggle panel', 'idf'); ?>: <?php _e('Available Upgrades', 'idf'); ?></span><span class="toggle-indicator" aria-hidden="true"></span></button><h2 class="hndle ui-sortable-handle"><span><?php _e('Available Upgrades', 'idf'); ?></span></h2>
                    <div class="inside">
                        <?php if ($license_type !== 'idc') { ?>
                        <p><strong><?php _e('IgnitionDeck Echelon', 'idf'); ?></strong><br>
                        Our complete e-commerce toolkit. Enables additional gateways (incl. Stripe), modules, commerce options, email templates, member settings, and tons more!</p>
                        <a href="https://ignitiondeck.com/commerce/?utm_source=licensepage&utm_medium=link&utm_campaign=freemium" alt="Upgrade Now" title="IgnitionDeck Support" target="_blank"><button class="button button-large button-primary"><?php _e('Get Echelon', 'idf'); ?></button></a>
                        <?php } ?>
                        <p><strong><?php _e('IgnitionDeck Enterprise', 'idf'); ?></strong><br>
                        Allows you to build your own white label crowdfunding platform. Includes front-end submission, flat and % based commissions, and much more!</p>
                        <a href="https://ignitiondeck.com/enterprise/?utm_source=licensepage&utm_medium=link&utm_campaign=freemium" alt="Upgrade Now" title="IgnitionDeck Support" target="_blank"><button class="button button-large button-primary"><?php _e('Get Enterprise', 'idf'); ?></button></a>
                     </div>
                </div>
            </div>
        </div>
        <?php } ?>
        <div id="postbox-container-4" class="postbox-container">
            <div id="column4-sortables" class="meta-box-sortables ui-sortable empty-container"></div>
        </div>
</div>